| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::CommandBufferVK Class Referencefinal

`#include <command_buffer_vk.h>`

Inheritance diagram for impeller::CommandBufferVK:

## Public Member Functions
| ~CommandBufferVK () override
const std::shared_ptr< CommandEncoderVK > & | GetEncoder ()
Public Member Functions inherited from impeller::CommandBuffer
virtual | ~CommandBuffer ()
bool | SubmitCommands (const CompletionCallback &callback)
| Schedule the command encoded by render passes within this command buffer on the GPU. The encoding of these commnands is performed immediately on the calling thread. More...
bool | SubmitCommands ()
virtual bool | EncodeAndSubmit (const std::shared_ptr< RenderPass > &render_pass)
| Schedule the command encoded by render passes within this command buffer on the GPU. The enqueing of this buffer is performed immediately but encoding is pushed to a worker thread if possible. More...
virtual bool | EncodeAndSubmit (const std::shared_ptr< BlitPass > &blit_pass, const std::shared_ptr< Allocator > &allocator)
| Schedule the command encoded by blit passes within this command buffer on the GPU. The enqueing of this buffer is performed immediately but encoding is pushed to a worker thread if possible. More...
void | WaitUntilScheduled ()
| Force execution of pending GPU commands. More...
std::shared_ptr< RenderPass > | CreateRenderPass (const RenderTarget &render_target)
| Create a render pass to record render commands into. More...
std::shared_ptr< BlitPass > | CreateBlitPass ()
| Create a blit pass to record blit commands into. More...
std::shared_ptr< ComputePass > | CreateComputePass ()
| Create a compute pass to record compute commands into. More...

## Friends
class | ContextVK

## Additional Inherited Members
Public Types inherited from impeller::CommandBuffer
enum | Status { Status::kPending, Status::kError, Status::kCompleted }
using | CompletionCallback = std::function< void(Status)>
Static Public Member Functions inherited from impeller::BackendCast< CommandBufferVK, CommandBuffer >
static CommandBufferVK & | Cast (CommandBuffer &base)
static const CommandBufferVK & | Cast (const CommandBuffer &base)
static CommandBufferVK * | Cast (CommandBuffer *base)
static const CommandBufferVK * | Cast (const CommandBuffer *base)
Protected Member Functions inherited from impeller::CommandBuffer
| CommandBuffer (std::weak_ptr< const Context > context)
Protected Attributes inherited from impeller::CommandBuffer
std::weak_ptr< const Context > | context_

## Detailed Description

Definition at line 19 of file command_buffer_vk.h.

## Constructor & Destructor Documentation

## ◆ ~CommandBufferVK()

impeller::CommandBufferVK::~CommandBufferVK | ( |  | ) |
| override default

## Member Function Documentation

## ◆ GetEncoder()

const std::shared_ptr< CommandEncoderVK > & impeller::CommandBufferVK::GetEncoder | ( |  | ) |

Definition at line 47 of file command_buffer_vk.cc.

47 {
48 if (!encoder_) {
49 encoder_ = encoder_factory_->Create();
50 }
51 return encoder_;
52 }

## Friends And Related Function Documentation

## ◆ ContextVK

friend class ContextVK
| friend

Definition at line 30 of file command_buffer_vk.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/vulkan/command_buffer_vk.h
- impeller/renderer/backend/vulkan/command_buffer_vk.cc